Irrlicht Engine: irr::scene::IParticleAnimatedMeshSceneNodeEmitter Class Reference

Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::scene::IParticleAnimatedMeshSceneNodeEmitter Class Reference

A particle emitter which emits particles from mesh vertices. More...

`#include <IParticleAnimatedMeshSceneNodeEmitter.h>`

Inheritance diagram for irr::scene::IParticleAnimatedMeshSceneNodeEmitter:

List of all members.

## Public Member Functions
virtual const IAnimatedMeshSceneNode * | getAnimatedMeshSceneNode () const =0
| Get mesh we're emitting particles from.
virtual bool | getEveryMeshVertex () const =0
| Gets whether to emit min<->max particles for every vertex or to pick min<->max vertices.
virtual f32 | getNormalDirectionModifier () const =0
| Get the amount that the normal is divided by for getting a particles direction.
virtual E_PARTICLE_EMITTER_TYPE | getType () const
| Get emitter type.
virtual bool | isUsingNormalDirection () const =0
| Get whether to use vertex normal for direction, or direction specified.
virtual void | setAnimatedMeshSceneNode (IAnimatedMeshSceneNode *node)=0
| Set Mesh to emit particles from.
virtual void | setEveryMeshVertex (bool everyMeshVertex=true)=0
| Sets whether to emit min<->max particles for every vertex or to pick min<->max vertices.
virtual void | setNormalDirectionModifier (f32 normalDirectionModifier)=0
| Set the amount that the normal is divided by for getting a particles direction.
virtual void | setUseNormalDirection (bool useNormalDirection=true)=0
| Set whether to use vertex normal for direction, or direction specified.

## Detailed Description

A particle emitter which emits particles from mesh vertices.

Definition at line 13 of file IParticleAnimatedMeshSceneNodeEmitter.h.

## Member Function Documentation

virtual const IAnimatedMeshSceneNode* irr::scene::IParticleAnimatedMeshSceneNodeEmitter::getAnimatedMeshSceneNode | ( |  | ) | const`[pure virtual]`

Get mesh we're emitting particles from.

virtual bool irr::scene::IParticleAnimatedMeshSceneNodeEmitter::getEveryMeshVertex | ( |  | ) | const`[pure virtual]`

Gets whether to emit min<->max particles for every vertex or to pick min<->max vertices.

virtual f32 irr::scene::IParticleAnimatedMeshSceneNodeEmitter::getNormalDirectionModifier | ( |  | ) | const`[pure virtual]`

Get the amount that the normal is divided by for getting a particles direction.

virtual E_PARTICLE_EMITTER_TYPE irr::scene::IParticleAnimatedMeshSceneNodeEmitter::getType | ( |  | ) | const`[inline, virtual]`

Get emitter type.

Reimplemented from irr::scene::IParticleEmitter.

Definition at line 38 of file IParticleAnimatedMeshSceneNodeEmitter.h.

References irr::scene::EPET_ANIMATED_MESH.

virtual bool irr::scene::IParticleAnimatedMeshSceneNodeEmitter::isUsingNormalDirection | ( |  | ) | const`[pure virtual]`

Get whether to use vertex normal for direction, or direction specified.

virtual void irr::scene::IParticleAnimatedMeshSceneNodeEmitter::setAnimatedMeshSceneNode | ( | IAnimatedMeshSceneNode * | node | ) | `[pure virtual]`

Set Mesh to emit particles from.

virtual void irr::scene::IParticleAnimatedMeshSceneNodeEmitter::setEveryMeshVertex | ( | bool | everyMeshVertex = `true` | ) | `[pure virtual]`

Sets whether to emit min<->max particles for every vertex or to pick min<->max vertices.

virtual void irr::scene::IParticleAnimatedMeshSceneNodeEmitter::setNormalDirectionModifier | ( | f32 | normalDirectionModifier | ) | `[pure virtual]`

Set the amount that the normal is divided by for getting a particles direction.

virtual void irr::scene::IParticleAnimatedMeshSceneNodeEmitter::setUseNormalDirection | ( | bool | useNormalDirection = `true` | ) | `[pure virtual]`

Set whether to use vertex normal for direction, or direction specified.

The documentation for this class was generated from the following file:

- IParticleAnimatedMeshSceneNodeEmitter.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:07 2010 by Doxygen (1.6.2)